> For the complete documentation index, see [llms.txt](https://docs.orbitchain.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orbitchain.io/smart-contract-api/ripple-contract-api.md).

# Ripple IBC protocol

## Deposit

Send a XRP to our multi-sig wallet

Send Transaction Required&#x20;

* memo field&#x20;

```
memos = [{
    data : <to_addr>,
    type : 'toAddr'
    },
    {
    data : <extra_addr>,
    type : 'extraToAddr'
    }]
```

* Transaction Type&#x20;

```
Payment
```

## Withdrawal

Send a withdrawal transaction to Orbit BalanceContract

```javascript
function withdrawBySignature(bytes32[] memory bytes32s, uint[] memory uints, address fromAddr, bytes memory destination, bytes memory comment, uint8 v) public
function withdraw(bytes32 tokenId, bytes memory destination, uint amount, bytes memory comment) public
```

Then, Xrp IBC operator and validator begin to proceed this withdrawal


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.orbitchain.io/smart-contract-api/ripple-contract-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
